
%define plugin	dxr3
%define name	vdr-plugin-%plugin
%define version	0.2.11
%define rel	1

Summary:	VDR plugin: Hardware MPEG decoder
Name:		%name
Version:	%version
Release:	%mkrel %rel
Group:		Video
License:	GPL
URL:		http://sourceforge.net/projects/dxr3plugin
Source:		http://prdownloads.sourceforge.net/dxr3plugin/vdr-%plugin-%version.tgz
# attaches to a hack hook in VDR to inform that the device can only
# handle minimal OSD, fixing subtitling issues
Patch1:		dxr3-subtitles.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	vdr-devel >= 1.6.0-7
BuildRequires:	ffmpeg-devel
BuildRequires:	em8300-devel
Requires:	vdr-abi = %vdr_abi
Requires:	em8300

%description
DXR3/Hollywood+ MPEG decoder card plugin which allows using such a
card as the primary device of VDR.

%prep
%setup -q -n %plugin-%version
%patch1 -p1
%vdr_plugin_prep

%build
VDR_PLUGIN_EXTRA_FLAGS="-I%{_includedir}/libavcodec -D__STDC_CONSTANT_MACROS"
%vdr_plugin_build FFMDIR="%{_includedir}/ffmpeg"

%install
rm -rf %{buildroot}
%vdr_plugin_install

%clean
rm -rf %{buildroot}

%post
%vdr_plugin_post %plugin

%postun
%vdr_plugin_postun %plugin

%files -f %plugin.vdr
%defattr(-,root,root)
%doc CONTRIBUTORS README HISTORY TROUBLESHOOTING


%changelog
* Sat Sep 04 2010 Anssi Hannula <anssi@mandriva.org> 0.2.11-1mdv2011.0
+ Revision: 575721
- new version

* Sun Aug 15 2010 Anssi Hannula <anssi@mandriva.org> 0.2.10-1mdv2011.0
+ Revision: 569842
- new version
- add comment to explain existing patch

* Fri Aug 06 2010 Funda Wang <fwang@mandriva.org> 0.2.9-2mdv2011.0
+ Revision: 566779
- fix build with latest ffmpeg

* Tue Jul 28 2009 Anssi Hannula <anssi@mandriva.org> 0.2.9-2mdv2010.0
+ Revision: 401088
- rebuild for new VDR
- adapt for vdr compilation flags handling changes, bump buildrequires

* Wed Jul 15 2009 Anssi Hannula <anssi@mandriva.org> 0.2.9-1mdv2010.0
+ Revision: 396083
- new version
- drop i18n patch, fixed upstream

* Fri Mar 20 2009 Anssi Hannula <anssi@mandriva.org> 0.2.8-4mdv2009.1
+ Revision: 359310
- rebuild for new vdr

* Sat Feb 28 2009 Anssi Hannula <anssi@mandriva.org> 0.2.8-3mdv2009.1
+ Revision: 346128
- rebuild with new ffmpeg

* Mon Apr 28 2008 Anssi Hannula <anssi@mandriva.org> 0.2.8-2mdv2009.0
+ Revision: 197922
- rebuild for new vdr

* Sat Apr 26 2008 Anssi Hannula <anssi@mandriva.org> 0.2.8-1mdv2009.0
+ Revision: 197772
- fix build with recent ffmpeg
- new version
- add vdr_plugin_prep
- bump buildrequires on vdr-devel
- adapt to gettext i18n of VDR 1.6 (semi-automatic patch)
- drop patch applied upstream
- add support for the dxr3 subtitle hack interface of vdr

* Fri Jan 04 2008 Anssi Hannula <anssi@mandriva.org> 0.2.7-5mdv2008.1
+ Revision: 145078
- rebuild for new vdr

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 29 2007 Anssi Hannula <anssi@mandriva.org> 0.2.7-4mdv2008.1
+ Revision: 103591
- register all codecs from ffmpeg (P0, from cvs, fixes build with recent
  ffmpeg)
- rebuild for new vdr

* Sun Jul 08 2007 Anssi Hannula <anssi@mandriva.org> 0.2.7-3mdv2008.0
+ Revision: 49993
- rebuild for new vdr

* Thu Jun 21 2007 Anssi Hannula <anssi@mandriva.org> 0.2.7-2mdv2008.0
+ Revision: 42079
- rebuild for new vdr

* Sat May 12 2007 Anssi Hannula <anssi@mandriva.org> 0.2.7-1mdv2008.0
+ Revision: 26467
- 0.2.7

* Sat May 05 2007 Anssi Hannula <anssi@mandriva.org> 0.2.6-11mdv2008.0
+ Revision: 22744
- rebuild for new vdr


* Tue Dec 05 2006 Anssi Hannula <anssi@mandriva.org> 0.2.6-10mdv2007.0
+ Revision: 90914
- rebuild for new vdr

* Tue Oct 31 2006 Anssi Hannula <anssi@mandriva.org> 0.2.6-9mdv2007.1
+ Revision: 73986
- rebuild for new vdr
- Import vdr-plugin-dxr3

* Thu Sep 07 2006 Anssi Hannula <anssi@mandriva.org> 0.2.6-8mdv2007.0
- rebuild for new vdr

* Thu Aug 24 2006 Anssi Hannula <anssi@mandriva.org> 0.2.6-7mdv2007.0
- stricter abi requires

* Mon Aug 07 2006 Anssi Hannula <anssi@mandriva.org> 0.2.6-6mdv2007.0
- rebuild for new vdr

* Wed Jul 26 2006 Anssi Hannula <anssi@mandriva.org> 0.2.6-5mdv2007.0
- rebuild for new vdr

* Tue Jun 20 2006 Anssi Hannula <anssi@mandriva.org> 0.2.6-4mdv2007.0
- rebuild for new vdr

* Fri Jun 09 2006 Anssi Hannula <anssi@mandriva.org> 0.2.6-3mdv2007.0
- buildrequires em8300-devel

* Mon Jun 05 2006 Anssi Hannula <anssi@mandriva.org> 0.2.6-2mdv2007.0
- rebuild for new vdr

* Sun Jun 04 2006 Anssi Hannula <anssi@mandriva.org> 0.2.6-1mdv2007.0
- initial Mandriva release

